Introducing

Welcome to the PowerClick v1.1

info PowerClick is small utility that provide you with fast access to, all commonly used, power managment features available in Windows. Those are shutdown, restart, standby, hibernate, log off and station lock.


Why using PowerClick?
Previous Top Next

PowerClick was created to provide shortcut to oftenly used power features in Windows.

Some people (like the author it self) sometimes hate to bother, to shutdown or restart system the regular way.This is usually the case when large number of applications are running but only the quick shutdown or restart is needed.
Windows will refuse to close is some programs are running, so you would have to close every application, one at the time, which can be quite annoying.

With PowerClick you can force all programs to close before shutdown or restart, which is sometimes quite usefull. You don't have to wait until all programs are closed, you can invoke shutdown and leave the desk with assurance
that system will be properly turned off. It is all done automatically.

Similiar programs exists, but some of them are as big as one megabyte or even more, which is absolutely unnceessary overhead for such an simple application!
Lets keep it small & simple.
Just click it and leave it!


Program history

Release Date | Version | Release comments & whats new
September 3rd 2004 | 1.0 | - Initial release build.
January 6th 2005 | 1.1 | - Added XP style icons and GUI improvements - Added "Disable Windows idle timer" feature


Overview

How to use PowerClick

Using PowerClick is very simple, when started, PowerClick will be sitting in the task tray and wait for user input.

tray
(PowerClick tray icon)

Right mouse click on the PowerClick icon will give you menu with power options which you can invoke.

menu2
(menu options)

Left mouse click will give you direct access to the options window.

options2
(options window)


Options

Options window is accessable on tray icon mouse left click, or through the menu available on right click.

options2
(options window)

Startup with Windows | Program will be automatically started on Windows start.
Force actions | All power actions (shutdown, restart...) will be forced. This means that Windows will close all programs running and ensure action is invoked. When this option is checked, no application will stop action and you can be sure that shutdown or restart is going to be executed. Note: This option might prevent some programs to save changess before they are closed. This might lead to data loss and you should save your data before invoking action.
Show countdown | Before action is invoked, a small countdown window will be shown. This way you can cancel current action if you change your mind. Note: Countdown timer must be set to minimum 4 seconds, or else default 15 seconds will be used. countdown (countdown window)
Disable Windows idle timer | Windows has feature to detect user inactivity after which it will start screen saver or activate power saving features. These options are set in Display Properties (right click on the desktop and then select Properties) in Windows. However, sometimes you might want to leave the desktop but also to prevent Windows from noticing you are inactive which is exactly what this option enables you. This feature is also found and used in multimedia programs (eg. DVD players), otherwise screensaver would popup every now and then when you watch your favorite movies. Checking this option will prevent Windows ftom starting screen saver or activating other power saving features after period of user inactivity. Those power settings are restored when you uncheck this option, or when you exit PowerClick.


Licence and Copyright
Previous Top

PowerClick is a freeware.
It may be used for non-commercial purpose of any kind.
Copyright (c) 2004, All rights reserved.

info
Author
Assembly Developers
email
Contact